Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class InterMediaAnnotationTrigger

    java.lang.Object
      oracle.ifs.core.triggers.OperationActionAdapter
          oracle.ifs.core.triggers.InterMediaAnnotationTrigger

All Implemented Interfaces:
  OperationAction

    public class InterMediaAnnotationTrigger

extends OperationActionAdapter

OperationAction that triggers a request to perform an InterMedia annotation on new content.

Constructor Summary
`InterMediaAnnotationTrigger()`

Method Summary
`void` | `eventPosted(OperationActionSpecification oas, AuditEvent event, LibraryObject target)` Receive notification that an event is being posted.
`protected java.lang.String[]` | `getInterMediaFormatExtensions()` Gets the array of Format extensions that are recognized by InterMedia.
`void` | `initialize(OperationActionSpecification oas)` Initialize this instance.

Methods inherited from class oracle.ifs.core.triggers.OperationActionAdapter
`lookupEventType, registerEventType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterMediaAnnotationTrigger

    public InterMediaAnnotationTrigger()

Method Detail

### initialize

    public void initialize(OperationActionSpecification oas)
                    throws IfsException

  Description copied from class: `InterMediaAnnotationTrigger`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be subsequently used concurrently by multiple threads.

  Specified by:
    `initialize` in interface `OperationAction`
  Overrides:
    `initialize` in class `OperationActionAdapter`
  Parameters:
    `oas` - the referencing OperationActionSpecification
  Throws:
    `IfsException` - if the operation fails

### eventPosted

    public void eventPosted(OperationActionSpecification oas,
                            AuditEvent event,
                            LibraryObject target)
                     throws IfsException

  Description copied from class: `InterMediaAnnotationTrigger`
  Receive notification that an event is being posted.

  Called with the OperationActionSpecification context of this action, along with the event being posted and the target object.

  Specified by:
    `eventPosted` in interface `OperationAction`
  Overrides:
    `eventPosted` in class `OperationActionAdapter`
  Parameters:
    `oas` - the referencing OperationActionSpecification
    `event` - the event being posted
    `target` - the target object
  Throws:
    `IfsException` - if the operation fails

### getInterMediaFormatExtensions

    protected java.lang.String[] getInterMediaFormatExtensions()

  Description copied from class: `InterMediaAnnotationTrigger`
  Gets the array of Format extensions that are recognized by InterMedia.

  Split out so that a subclass could easily override the extension list, but otherwise use the rest of the implmentation.

  Returns:
    the array of InterMedia Format extensions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD